﻿
@model DirectorViewModel

@{
    ViewData["Title"] = "Add Director";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="AddDirector" method="post">
            <div class="col-md-6">
                <h4>Add director to movie.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MovieTitle">Movie Title</label>
                    <input asp-for="@Model.MovieTitle" class="form-control" />
                    <span asp-validation-for="@Model.MovieTitle" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label>Director</label>
                    <div class="row">
                        <div class="col-md-6">
                            <label asp-for="@Model.FirstName"><span class="text-muted">First name</span></label>
                            <input asp-for="@Model.FirstName" class="form-control" />
                            <span asp-validation-for="@Model.FirstName" class="text-danger"></span>
                        </div>
                        <div class="col-md-6">
                            <label asp-for="@Model.LastName"><span class="text-muted">Last name</span></label>
                            <input asp-for="@Model.LastName" class="form-control" />
                            <span asp-validation-for="@Model.LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Director</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

